2024-07-14 00:10 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004770TestDrive2[WHDLoad Installs Games] slavepublic2021-03-31 22:14
Reporterpsoma 
Assigned ToJOTDProject InfoTest Drive 2 - The Duel (Accolade)
http://www.whdload.de/games/TestDrive2.html
 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Summary0004770: Add keyboard support to Test Drive 2 driving
DescriptionThe driving mechanic for Test Drive 2 was designed with the keyboard in mind. When ported to the Amiga, keyboard support was peculiarly dropped from driving sections (the keyboard still works to navigate the menu) making driving with certain joysticks very difficult.

Feature request: add keyboard support (arrow keys + A and Z for gear up/down) to driving sections of the game.
Steps To ReproduceLaunch game, try and use arrow keys to accelerate, brake and steer.
Additional InformationPC and IIGS versions use keyboard by default.
TagsNo tags attached.
MachineA600
CPU68020
CPUSpeed50
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.5
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0009798

JOTD (developer)

I'm doing this, but using arrows and space, because up+fire triggers gear up and down+fire triggers gear down and that feels okay.
+Notes

-Issue History
Date Modified Username Field Change
2020-07-19 11:07 psoma New Issue
2020-07-19 22:27 JOTD Assigned To => JOTD
2020-07-19 22:27 JOTD Status new => acknowledged
2021-03-28 23:58 JOTD Note Added: 0009798
2021-03-31 22:14 JOTD Status acknowledged => closed
2021-03-31 22:14 JOTD Resolution open => fixed
+Issue History